Skip to main content
GET
/
v1
/
twitter
/
communities
/
search
Search communities
curl --request GET \
  --url https://scrapebadger.com/v1/twitter/communities/search \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "1234567890",
      "name": "Web Developers",
      "description": "<string>",
      "member_count": 123,
      "is_member": true,
      "role": "member",
      "is_nsfw": true,
      "join_policy": "Open",
      "invites_policy": "<string>",
      "created_at": 123,
      "created_at_datetime": "<string>",
      "banner": {
        "url": "<string>",
        "width": 123,
        "height": 123
      },
      "creator_id": "<string>",
      "creator_username": "<string>",
      "creator_name": "<string>",
      "admin_id": "<string>",
      "admin_username": "<string>",
      "admin_name": "<string>",
      "rules": [
        {
          "name": "<string>",
          "description": "<string>"
        }
      ]
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.

Query Parameters

query
string
required

Search query to match against community names and descriptions.

Example:

"web development"

cursor
string

Pagination cursor for fetching the next page of results.

Response

Successfully retrieved communities.

Paginated list of communities.

data
object[] | null

Array of community objects.

next_cursor
string | null

Cursor for fetching the next page. Null if no more results.